/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.app;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* 查询接口--数据传输对象：应用表
*
* createdate:  2022-10-13 10:02:44  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "应用表")
public class AppQueryDto implements Serializable
{
    /**
     * ID<br>
     */
    @ApiModelProperty("ID")
    @Size(max = 32, message="ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 应用名称<br>
     */
    @ApiModelProperty("应用名称")
    @Size(max = 32, message="应用名称-appName: 数据长度不能 > 32" )
    private String appName;//应用名称
    /**
     * 平台类型<br>
     */
    @ApiModelProperty("平台类型")
    @Size(max = 32, message="平台类型-platform: 数据长度不能 > 32" )
    private String platform;//平台类型
    /**
     * 设备归属对象ID<br>
     */
    @ApiModelProperty("设备归属对象ID")
    @Size(max = 50, message="设备归属对象ID-ownerId: 数据长度不能 > 50" )
    private String ownerId;//设备归属对象ID
    /**
     * 设备归属对象ID<br>
     */
    @ApiModelProperty("设备归属对象ID集合")
    private List<String> ownerIdList;//设备归属对象ID集合
    /**
     * 上传时间<br>
     */
    @ApiModelProperty("上传时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdTime;//上传时间
    /**
     * 上传人<br>
     */
    @ApiModelProperty("上传人")
    @Size(max = 32, message="上传人-createdBy: 数据长度不能 > 32" )
    private String createdBy;//上传人
    /**
     * 上传人姓名<br>
     */
    @ApiModelProperty("上传人姓名")
    @Size(max = 32, message="上传人姓名-createdByName: 数据长度不能 > 32" )
    private String createdByName;//上传人姓名
    private List<String> creatorList;
    /**
     * 备注<br>
     */
    @ApiModelProperty("备注")
    @Size(max = 128, message="备注-remarks: 数据长度不能 > 128" )
    private String remarks;//备注
    /**
     * 构建版本<br>
     */
    @ApiModelProperty("构建版本")
    @Size(max = 32, message="构建版本-buildVersion: 数据长度不能 > 32" )
    private String buildVersion;
    /**
     * 版本号<br>
     */
    @ApiModelProperty(" 版本号")
    private Integer versionCode;//版本号
    /**
     * 包名称<br>
     */
    @ApiModelProperty("包名称")
    @Size(max = 128, message="包名称-packageName: 数据长度不能 > 128" )
    private String packageName;
    /**
     * 包名称<br>
     */
    @ApiModelProperty("是否查询全部")
    @Size(max = 2, message="是否查询全部-isQueryAll: 数据长度不能 > 2" )
    private String isQueryAll;

    private String tenantId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(String ownerId) {
        this.ownerId = ownerId;
    }

    public List<String> getOwnerIdList() {
        return ownerIdList;
    }

    public void setOwnerIdList(List<String> ownerIdList) {
        this.ownerIdList = ownerIdList;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedByName() {
        return createdByName;
    }

    public void setCreatedByName(String createdByName) {
        this.createdByName = createdByName;
    }

    public List<String> getCreatorList() {
        return creatorList;
    }

    public void setCreatorList(List<String> creatorList) {
        this.creatorList = creatorList;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getBuildVersion() {
        return buildVersion;
    }

    public void setBuildVersion(String buildVersion) {
        this.buildVersion = buildVersion;
    }

    public Integer getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(Integer versionCode) {
        this.versionCode = versionCode;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getIsQueryAll() {
        return isQueryAll;
    }

    public void setIsQueryAll(String isQueryAll) {
        this.isQueryAll = isQueryAll;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}